---
title: Object.prototype.toLocaleString()
slug: Web/JavaScript/Reference/Global_Objects/Object/toLocaleString
tags:
  - JavaScript
  - Method
  - Object
  - Prototype
  - Reference
---
<p>{{JSRef}}</p>

<p>The <code><strong>toLocaleString()</strong></code> method returns a string representing the object. This method is meant to be overridden by derived objects for locale-specific purposes.</p>

<div>{{EmbedInteractiveExample("pages/js/object-prototype-tolocalestring.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>obj</var>.toLocaleString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the object.</p>

<h2 id="Description">Description</h2>

<p>{{jsxref("Object")}}'s <code>toLocaleString</code> returns the result of calling {{jsxref("Object.toString", "toString()")}}.</p>

<p>This function is provided to give objects a generic <code>toLocaleString</code> method, even though not all may use it. See the list below.</p>

<h3 id="Objects_overriding_toLocaleString">Objects overriding toLocaleString</h3>

<ul>
 <li>{{jsxref("Array")}}: {{jsxref("Array.prototype.toLocaleString()")}}</li>
 <li>{{jsxref("Number")}}: {{jsxref("Number.prototype.toLocaleString()")}}</li>
 <li>{{jsxref("Date")}}: {{jsxref("Date.prototype.toLocaleString()")}}</li>
 <li>{{jsxref("TypedArray")}}: {{jsxref("TypedArray.prototype.toLocaleString()")}}</li>
 <li>{{jsxref("BigInt")}}: {{jsxref("BigInt.prototype.toLocaleString()")}}</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Array_toLocaleString_override">Array toLocaleString() override</h3>

<p>On {{jsxref("Array")}} objects, {{jsxref("Array.toLocaleString", "toLocaleString()")}} can be used to print array values as a string, optionally with locale-specific identifiers (such as currency symbols) appended to them:</p>

<p>For example:</p>

<pre class="brush: js notranslate">const testArray = [4, 7, 10];

let euroPrices = testArray.toLocaleString('fr', { style: 'currency', currency: 'EUR'});
// "4,00 €,7,00 €,10,00 €"</pre>

<h3 id="Date_toLocaleString_override">Date toLocaleString() override</h3>

<p>On {{jsxref("Date")}} objects, {{jsxref("Date.toLocaleString", "toLocaleString()")}} is used to print out date displays more suitable for specific locales:</p>

<p>For example:</p>

<pre class="brush: js notranslate">const testDate = new Date(Date.now());
// "Date Fri May 29 2020 18:04:24 GMT+0100 (British Summer Time)"

let deDate = testDate.toLocaleString('de');
// "29.5.2020, 18:04:24"

var frDate = testDate.toLocaleString('fr');
//"29/05/2020 à 18:04:24"</pre>

<h3 id="Number_toLocaleString_override">Number toLocaleString() override</h3>

<p>On {{jsxref("Number")}} objects, {{jsxref("Number.toLocaleString", "toLocaleString()")}} is used to print out number displays more suitable for specific locales, e.g. with the correct separators:</p>

<p>For example:</p>

<pre class="brush: js notranslate">const testNumber = 2901234564;
// "2901234564"

let deNumber = testNumber.toLocaleString('de');
// "2.901.234.564"

let frNumber = testNumber.toLocaleString('fr');
// "2 901 234 564"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-object.prototype.tolocalestring', 'Object.prototype.toLocaleString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Object.toLocaleString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toString()")}}</li>
</ul>
